Subject: bug#59452: 29.0.50; [PGTK] SIGSEV Args out of range: 6, 6

From: Po Lu <[email-masked]>
Date: Thu, 24 Nov 2022 18:37:00 +0800

Eli Zaretskii <[email-masked]> writes:

> If these handlers run Lisp or call primitives or their subroutines, it's a
> tough requirement, which is almost impossible to fulfill.  The resulting
> build will be very fragile.  Emacs internals signal errors all over the
> place.  You could catch errors via internal_condition_case_* etc., but doing
> so will sometimes trigger an infinite loop of errors, and make Emacs
> unresponsive.

Well, we will just have to try our best.  GLib gained this limitation
several years ago, and I've only seen two crash reports because of it up
until now.